// conformato.cpp - Almacenar datos con formato
#include <iostream>
#include <fstream>
using namespace std;

int main()
{
  float dato1 = -105.56;
  float dato2 = -3.1415926;
  char cadena[20] = "hola";
  
  cout << dato1 << endl; // muestra -105.56: 7 bytes
  cout << dato2 << endl; // muestra -3.14159: 8 bytes
  cout << cadena << endl; // muestra hola: 4 bytes
  
  // Abrir el fichero datos para escribir
  fstream fs("datos", ios::out);
  fs << dato1 << " " << dato2 << " " << cadena << endl;
  cout << fs.tellp() << endl; // muestra 7+8+4+4 = 23 bytes
  // Los últimos 4 bytes son los dos espacios + CR+LF
  fs.close();
  // Abrir el fichero datos para leer
  fs.open("datos", ios::in);
  fs >> dato1 >> dato2 >> cadena;
  cout << dato1 << endl; // muestra -105.56
  cout << dato2 << endl; // muestra -3.14159
  cout << cadena << endl; // muestra hola
  fs.close();
}

